require("Assets/AP/BRMk2Pack01/RailVehicles/Mk2/CommonResources/Scripts/mk2_script.out");

_PrevUpdate = Update;
_PrevInitialise = Initialise;

function Initialise()
    
    _PrevInitialise();
    Call("BeginUpdate")

end

function Update(fTime)

    _PrevUpdate(fTime);
    Call("*:ActivateNode", "primarydigits_4", 0);
    FullCoachNumber = Call("GetRVNumber");
    ActualNumber = string.sub(FullCoachNumber, 1, 6);
    Call("ExtNum:SetText", ActualNumber, 0);
    _ , LogoNumParam = string.find(FullCoachNumber, "logo");

    if LogoNumParam ~= nil then
        LogoNum = string.sub(FullCoachNumber, LogoNumParam + 2, LogoNumParam + 2);
        ApplyBranding(LogoNum)
    else
    Call("WindowCovers:ActivateNode", "all", 1);
    end

end

function ApplyBranding(branding)
    
    if branding == "1" then  --BRML branding
        
        Call("WindowCovers:ActivateNode", "all", 1);
        Call("WindowCovers:ActivateNode", "AbbLogo_L", 0);
        Call("WindowCovers:ActivateNode", "AbbLogo_R", 0);
        Call("WindowCovers:ActivateNode", "DttAbb_L", 0);
        Call("WindowCovers:ActivateNode", "DttAbb_R", 0);

    elseif branding == "2" then  --ABB branding

        Call("WindowCovers:ActivateNode", "all", 1);
        Call("WindowCovers:ActivateNode", "BrmlLogo_L", 0);
        Call("WindowCovers:ActivateNode", "BrmlLogo_R", 0);
        Call("WindowCovers:ActivateNode", "DttBrml_L", 0);
        Call("WindowCovers:ActivateNode", "DttBrml_R", 0);
        Call("WindowCovers:ActivateNode", "BrLogo_L", 0);
        Call("WindowCovers:ActivateNode", "BrLogo_R", 0);
    
    elseif branding == "0" then  --No branding

        Call("WindowCovers:ActivateNode", "all", 0);
        Call("WindowCovers:ActivateNode", "DttBrml_L", 1);
        Call("WindowCovers:ActivateNode", "DttBrml_R", 1);
        Call("WindowCovers:ActivateNode", "WinCovers_L", 1);
        Call("WindowCovers:ActivateNode", "WinCovers_R", 1);
        Call("WindowCovers:ActivateNode", "ADB_L", 1);
        Call("WindowCovers:ActivateNode", "ADB_R", 1);

    end

end